Subject: bug#37359: [PATCH] Fix ignored Motif scrollbar resources.

From: Matt Bisson <[email-masked]>
Date: Tue, 10 Sep 2019 09:26:21 -0400 (EDT)

> I suppose that you have not done any copyright assignment so I'll mark this as a tiny change.

>From the copyright assignment page, it seems reasonable to call this a tiny change, so I didn't do the assignment:

> We can accept small changes (roughly, fewer than 15 lines) without an assignment. This is a cumulative limit (e.g., three separate 5 line patches) over all your contributions.

If you prefer, I can go through that process as well.  Whatever is easier.

> Sounds reasonable so I intend to install it.

When you say "install" do you mean you are going to test it, and I should push to the repo (which I am completely willing to do), or do you mean you are going to commit the patch when ready?  (The patch is against the emacs-26 branch, btw.)

Thanks,
-Matt

----- Original Message -----
From: "martin rudalics" <[email-masked]>
To: "mbisson" <[email-masked]>, [email-masked]
Sent: Tuesday, September 10, 2019 3:56:03 AM
Subject: Re: bug#37359: [PATCH] Fix ignored Motif scrollbar resources.

> On Motif scrollbars, "foreground" has no meaning, while "background"
 > means the truck and arrow colors, and "trough" means the background
 > of the entire widget.  I have hooked up the Emacs scrollbar
 > "foreground" color to the XmNbackground resource, and the
 > "background" color to XmNtroughColor.  This is more in line with how
 > Xaw scrollbars behave.

Sounds reasonable so I intend to install it.  I suppose that you have
not done any copyright assignment so I'll mark this as a tiny change.

Thanks, martin